< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HeaderProvider
- HttpClient
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpReadsEither
- HttpReadsHttpResponse
- HttpReadsInstances
- HttpReadsJson
- HttpReadsLegacyInstances
- HttpReadsLegacyJson
- HttpReadsLegacyOption
- HttpReadsLegacyRawReads
- HttpReadsOption
- HttpReadsTry
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- LengthRequiredException
- LockedException
- LowPriorityHttpReadsJson
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- Request
- RequestEntityTooLargeException
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionKeys
- Token
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException
- UserId

t

uk.gov.hmrc.http

# HttpReadsOption 

###

#### trait HttpReadsOption extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
Implicits, HttpReadsInstances, HttpReadsInstances
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpReadsOption
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  implicit def readOptionOfNotFound[A](implicit arg0: HttpReads[A]): HttpReads[Option[A]]

    An opinionated HttpReads which returns None for 404.

    An opinionated HttpReads which returns None for 404. This does not have any special treatment for 204, as did the previous version. If you need a None for any UpstreamErrorResponse, consider using:

        HttpReads[Either[UpstreamErrorResponse, A]].map(_.toOption)

16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped